[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DoSaveColumn

Signals the OnSaveColumn event handler for the grid control (when assigned).

## Declaration

Source position: grids.pas line 1034

`protected procedure TCustomGrid.DoSaveColumn(`
`Sender: TCustomGrid;`
`aColumn: TGridColumn;`
`aColIndex: Integer;`
`aCfg: TXMLConfig;`
`aVersion: Integer;`
`aPath: string`
`); virtual;`

## Arguments

`Sender` |  | Object (TCustomGrid) for the event.
`aColumn` |  | Grid column instance for the event handler.
`aColIndex` |  | Ordinal position in Columns for the grid column.
`aCfg` |  | XML configuration file where the column values are stored.
`aVersion` |  | Version number for the grid column data written in the XML storage.
`aPath` |  | XPath-like expression where the column information is stored.

## Description

DoSaveColumn is a method used to signal the OnSaveColumn event handler (when assigned) when a column definition is saved to an external XML configuration file.

DoSaveColumn is called from the private SaveColumns method, and occurs immediately after a TColumn instance in the Columns collection is written to the XML storage. It is also called from the SaveContent method when the Columns collection has not been enabled in the control.